Bug 190204 - Please add an empty #define LIBUSB_CALL in libusb.h (1.0+ API)
Summary: Please add an empty #define LIBUSB_CALL in libusb.h (1.0+ API)
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: usb (show other bugs)
Version: 1.0-CURRENT
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-usb mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-25 18:00 UTC by Scott Howard
Modified: 2015-07-08 17:37 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Scott Howard 2014-05-25 18:00:00 UTC
libusb 1.0 API has an empty
#define LIBUSB_CALL

Described here:
http://git.libusb.org/?p=libusb.git;a=blob;f=libusb/libusb.h;hb=7634714aa696175b08016b6f2185a75a2f55a113;js=1#l100

Implemented here:
http://libusb.sourceforge.net/api-1.0/group__misc.html#gaa7d6035eb2692d455d27144560a0f68d

Cross platform applications need LIBUSB_CALL, even if it is empty.

Fix: 

Add
#define LIBUSB_CALL
to one of the libusb headers (maybe libusb10.h?)
Comment 1 dfilter service freebsd_committer 2014-05-25 19:06:35 UTC
Author: hselasky
Date: Sun May 25 18:06:32 2014
New Revision: 266664
URL: http://svnweb.freebsd.org/changeset/base/266664

Log:
  Add empty LIBUSB_CALL macro, to be compatible to the libusb 1.0-API
  from sourceforge.
  
  PR:		usb/190204
  MFC after:	1 week

Modified:
  head/lib/libusb/libusb.h

Modified: head/lib/libusb/libusb.h
==============================================================================
--- head/lib/libusb/libusb.h	Sun May 25 18:06:28 2014	(r266663)
+++ head/lib/libusb/libusb.h	Sun May 25 18:06:32 2014	(r266664)
@@ -33,6 +33,8 @@
 #include <sys/types.h>
 #endif
 
+#define	LIBUSB_CALL
+
 #ifdef __cplusplus
 extern	"C" {
 #endif
_______________________________________________
svn-src-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-src-all
To unsubscribe, send any mail to "svn-src-all-unsubscribe@freebsd.org"
Comment 2 commit-hook freebsd_committer 2014-06-04 10:41:30 UTC
A commit references this bug:

Author: hselasky
Date: Wed Jun  4 10:40:43 UTC 2014
New revision: 267047
URL: http://svnweb.freebsd.org/changeset/base/267047

Log:
  MFC r266664:
  Add empty LIBUSB_CALL macro, to be compatible to the libusb 1.0-API
  from sourceforge.

  PR:		usb/190204

Changes:
_U  stable/10/
  stable/10/lib/libusb/libusb.h
Comment 3 commit-hook freebsd_committer 2014-06-04 10:42:32 UTC
A commit references this bug:

Author: hselasky
Date: Wed Jun  4 10:42:05 UTC 2014
New revision: 267048
URL: http://svnweb.freebsd.org/changeset/base/267048

Log:
  MFC r266664:
  Add empty LIBUSB_CALL macro, to be compatible to the libusb 1.0-API
  from sourceforge.

  PR:		usb/190204

Changes:
_U  stable/8/lib/
_U  stable/8/lib/libusb/
  stable/8/lib/libusb/libusb.h
Comment 4 commit-hook freebsd_committer 2014-06-04 13:43:01 UTC
A commit references this bug:

Author: hselasky
Date: Wed Jun  4 13:42:19 UTC 2014
New revision: 267055
URL: http://svnweb.freebsd.org/changeset/base/267055

Log:
  MFC r266664:
  Add empty LIBUSB_CALL macro, to be compatible to the libusb 1.0-API
  from sourceforge.

  PR:		usb/190204
  Approved by:	re, gjb @

Changes:
_U  stable/9/lib/libusb/
  stable/9/lib/libusb/libusb.h
Comment 5 Glen Barber freebsd_committer 2015-07-08 17:37:22 UTC
Close PRs that have a corresponding commit to resolve the issue.